petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexSetConeSize

Set the number of in-edges for this point in the DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetConeSize(DM dm, PetscInt p, PetscInt size)

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The point, which must lie in the chart set with DMPlexSetChart()
| size | - The cone size for point p

### Output Parameter

### Note

This should be called after DMPlexSetChart().

### See Also

DMPlexCreate(), DMPlexGetConeSize(), DMPlexSetChart()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages